|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QFtp

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QFtp class reference

### Public Functions

- QFtp ( QObject * parent, const char * name )
- qint64 readBlock ( char * data, quint64 maxlen )

- 8 public functions inherited from QObject

## Member Function Documentation

### QFtp::QFtp ( QObject * parent, const char * name )

Use one of the constructors that doesn't take the name argument and then use setObjectName() instead.

### qint64 QFtp::readBlock ( char * data, quint64 maxlen )

Use read() instead.